package cn.com.countrygarden.bi.main.service.personnel;

import org.springframework.web.multipart.MultipartFile;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.PersonnelAdvisorDTO;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.sys.Function;
import cn.com.countrygarden.bi.main.model.personnel.PersonnelAdvisor;
import tk.mybatis.mapper.entity.Condition;
import tk.mybatis.mapper.entity.Example;
/**
 * 导师信息-业务逻辑层
 *
 * @author 吕伟峰
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-09-27
 */
public interface PersonnelAdvisorService {

    Result queryPageList(PersonnelAdvisorDTO personnelAdvisor, int page, int size,AccessToken accessToken);
    
    Result queryPageListadnamelist(PersonnelAdvisorDTO personnelAdvisor);
    
    Result queryPageListadd(PersonnelAdvisorDTO personnelAdvisor);
    
    Result peradvisorlist(PersonnelAdvisor personnelAdvisor);

    Result queryById(Integer id);

    Result add(String personadvisor, AccessToken accessToken);

    Result edit(String personnelAdvisor, AccessToken accessToken);

    Result delperid(Integer personnelId,Integer personneltagId);
    
    Result delpiliang(String personnelId,String personneltagId);
    
    Result queryadByUid(String search,AccessToken accessToken);
    
    void excelToxls(Integer radio, String usname,MultipartFile multipartFile, String fileName,String userCode,AccessToken accessToken);
    
    Result peadone(Integer personnelId);
}